Index: trunk/packages/hvirt-devconfig/debian/changelog
===================================================================
--- trunk/packages/hvirt-devconfig/debian/changelog	(revision 2782)
+++ trunk/packages/hvirt-devconfig/debian/changelog	(revision 2783)
@@ -1,2 +1,8 @@
+hvirt-devconfig (0.6) unstable; urgency=low
+
+  * Added a postinst to set the default_realm appropriately
+
+ -- Greg Brockman <gdb@mit.edu>  Thu, 24 Dec 2009 19:28:18 -0500
+
 hvirt-devconfig (0.5) unstable; urgency=low
 
Index: trunk/packages/hvirt-devconfig/debian/hvirt-devconfig.postinst
===================================================================
--- trunk/packages/hvirt-devconfig/debian/hvirt-devconfig.postinst	(revision 2783)
+++ trunk/packages/hvirt-devconfig/debian/hvirt-devconfig.postinst	(revision 2783)
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+    configure)
+	# Need to do it like this to avoid shell injection
+	/usr/bin/perl -i -e '$r = `invirt-getconf kerberos.realm`; $r.chomp;
+	while(<>) { s/^([ \t]*default_realm *=).*$/\1 $r/m; print; }' /etc/krb5.conf.invirt
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    triggered)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
